Bug 996326 - RFE: Make the numbers of activity items more useful
RFE: Make the numbers of activity items more useful
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 20:35 EDT by Damian Jansen
Modified: 2015-07-30 21:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:48:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot: Your Activity as in Zanata-3.3.2-SNAPSHOT (20140227-1648) (104.88 KB, image/png)
2014-03-26 03:08 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Damian Jansen 2013-08-12 20:35:00 EDT
Description of problem:

The numbers given to the user from upload related activity stream items are generally not very useful.

* The numbers for translated (.po) uploads shows the source numbers, rather than the actual translations
* The numbers are collated, so that if an someone makes a minor change to something and re-uploads, the number shows 2 x actual source words

This could all be made clearer with better wording, in most cases.
Comment 1 Ding-Yi Chen 2014-03-26 03:05:26 EDT
Not quite sure what text did you see and what version you tested with.

Tested with Zanata 3.3.2-SNAPSHOT (20140227-1648):
The activity message is shown after the category:

For Translation:
   You translated 249 words in cluster-administration-guide, finishing on cluster configuration

For Uploaded translation:
 You uploaded translations of 70198 words to cluster-administration-guide

For Uploaded source documents:
 You uploaded source documents of 35099 words to cluster-administration-guide

Do you think the above wording is good enough?
Comment 2 Ding-Yi Chen 2014-03-26 03:08:15 EDT
Created attachment 878880 [details]
Screenshot: Your Activity as in Zanata-3.3.2-SNAPSHOT (20140227-1648)
Comment 3 Damian Jansen 2014-11-19 00:40:39 EST
Tested 3.6-snapshot

> You uploaded translations of 70198 words to cluster-administration-guide

I changed one word, yet it indicates I uploaded translation of 6.  If it's not going to show exactly the number of "translations" I uploaded, then it's misleading.
Comment 4 Zanata Migrator 2015-07-30 21:48:48 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-553

Note You need to log in before you can comment on or make changes to this bug.